API resource
Instagram lookups
Research through your connected Instagram account: the public profile and recent media of any Business or Creator account by username (competitors, collaborators), media you are tagged or mentioned in, a post's collaborators and your live broadcasts.
Look up a public Instagram Business account
/v1/accounts/{accountId}/instagram/business-discoveryWorks on: Instagram
Path parameters
accountIdstringrequiredThe ID of a connected Instagram account (Facebook Login).
Query parameters
usernamestringrequiredInstagram handle to look up, with or without the leading @. Case-insensitive.
limitintegerHow many of the most recent media to return.
curl "https://creatoros-production-5658.up.railway.app/v1/accounts/acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r/instagram/business-discovery?username=%3Cusername%3E" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"profile": {
"id": "string",
"username": "string",
"name": "string",
"biography": "string",
"website": "string",
"profilePictureUrl": "string",
"followersCount": 0,
"followsCount": 0,
"mediaCount": 0
},
"media": [
{
"id": "string",
"caption": "string",
"mediaType": "string",
"mediaProductType": "string",
"timestamp": "2026-10-10T00:00:00.000Z",
"permalink": "string",
"likeCount": 0,
"commentsCount": 0,
"mediaUrl": "string",
"thumbnailUrl": "string",
"viewCount": 0,
"children": [
{}
]
}
]
}List the live broadcasts of an Instagram account
/v1/accounts/{accountId}/instagram/live-mediaWorks on: Instagram
Path parameters
accountIdstringrequiredThe ID of a connected Instagram account (Facebook Login).
curl "https://creatoros-production-5658.up.railway.app/v1/accounts/acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r/instagram/live-media" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"data": [
{
"id": "string",
"mediaType": "BROADCAST",
"mediaProductType": "LIVE",
"username": "string",
"timestamp": "string"
}
]
}List the collaborators of an Instagram post
/v1/accounts/{accountId}/instagram/media/{mediaId}/collaboratorsWorks on: Instagram
Path parameters
accountIdstringrequiredThe ID of a connected Instagram account (Facebook Login).
mediaIdstringrequiredInstagram media ID of a post published by this account (digits only, e.g. the platformPostId of a published post).
curl "https://creatoros-production-5658.up.railway.app/v1/accounts/acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r/instagram/media/18045678901234567/collaborators" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"data": [
{
"id": "string",
"username": "string",
"inviteStatus": "accepted"
}
]
}Get a post that mentions an Instagram account in its caption
/v1/accounts/{accountId}/instagram/mentions/media/{mediaId}Works on: Instagram
Path parameters
accountIdstringrequiredThe ID of a connected Instagram account (Facebook Login).
mediaIdstringrequiredInstagram media ID of the post that mentions the account (digits only).
curl "https://creatoros-production-5658.up.railway.app/v1/accounts/acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r/instagram/mentions/media/18045678901234567" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"id": "string",
"caption": "string",
"mediaType": "IMAGE",
"mediaUrl": "string",
"timestamp": "string",
"username": "string",
"likeCount": 0,
"commentsCount": 0
}Get a comment that mentions an Instagram account
/v1/accounts/{accountId}/instagram/mentions/comments/{commentId}Works on: Instagram
Path parameters
accountIdstringrequiredThe ID of a connected Instagram account (Facebook Login).
commentIdstringrequiredInstagram comment ID of the comment that mentions the account (digits only).
curl "https://creatoros-production-5658.up.railway.app/v1/accounts/acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r/instagram/mentions/comments/17958467203124567" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"id": "string",
"text": "string",
"timestamp": "string",
"likeCount": 0,
"media": {
"id": "string"
}
}